/* globales*/
html {
    box-sizing: border-box;  /* hack para el box model*/
    scroll-snap-type: y mandatory ;
}
  *, *:before, *:after {
    box-sizing: inherit;
}
html { font-size: 62.5%;}

body { font-size: 16px; /* 1rem = 10px */
    font-family: 'Krub', sans-serif;
background-image: linear-gradient(to top, #DFE9F3 0%, var( --blanco) 100% );
}
/*  CONTENIDO */
.contenido-texto{
    font-size: 1.8rem;
}
.contenido-texto h2{
    text-align: center;
}
.contenido-texto p{
    text-align: justify;
}
/* NUEVA NAVEGACION */
header {
    background-color: #333;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}
.footer{
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    text-align: center;
}

/* Estilos del logotipo */
.logo {
    font-size: 24px;
    font-weight: bold;
}
.logo img{
    width: 15%;
}

/* Estilos del menú de navegación */
.nav-links {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    z-index: 100;
    position: relative;
}

.nav-links li {
    text-align: center;
    margin-right: 20px;
    margin-top: 20px;
    margin-left: 20px;
}

.nav-links a {
    text-decoration: none;
    color: white;
}
.nav-links a:hover{
    color: green;
}


.nav-links svg {
    transition: stroke 0.2s; 
}

.nav-links svg:hover {
    stroke: green; 
}

.badge {
    background-color: red;
    color: white;
    padding: 2px 6px;
    border-radius: 50%;
    font-size: 12px;
    margin-left: 5px;
}

/* Estilos del menú desplegable (oculto por defecto) */
.menu-toggle {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

/* Estilos del submenú */
.submenu-content {
    display: none;
    position: absolute;
    background-color: #333; /* Color de fondo del submenú */
    padding: 5px;
}
.submenu-content li {
    margin: 0;
    list-style: none;
}

.submenu-content a {
    color: white;
    text-decoration: none;
    display: block;
    padding:  10px;
}

.submenu-content a:hover {
    background-color: #555; /* Color de fondo al pasar el mouse sobre los elementos del submenú */
}

/* Mostrar el submenú al pasar el mouse sobre el elemento principal */
.nav-links .submenu:hover .submenu-content {
    display: block;
}
/* Estilos para pantallas pequeñas (hasta 480px) */
@media screen and (max-width: 480px) {
    .nav-links {
        top: 65px; /* Para dispositivos de hasta 480px */
    }
}

/* Estilos para pantallas medianas (entre 481px y 768px) */
@media screen and (min-width: 481px) and (max-width: 768px) {
    .nav-links {
        top: 100px; /* Para dispositivos entre 481px y 768px */
    }
}

/* Estilos para dispositivos móviles */
@media screen and (max-width: 768px) {
    .nav-links {
        display: none;
        flex-direction: column;
        background-color: #333;
        position: absolute;
        text-align: right;
        left: 0;
        right: 0;
        padding: 10px 0;
    }

    .nav-links.show {
        display: flex;
    }

    .menu-toggle {
        display: block;
        position: absolute;
        top: 15px;
        right: 20px;
    }
    /* Estilos del submenú */
.submenu-content {
    position: relative;
    background-color: #4a4a4a;
}
}

/* login*/
.contenedor { 
    width: 95%;
    max-width: 120rem;
    margin: 0 auto;
}
.contenedorForm{
    width: 95%;
    max-width: 120rem;
    margin: 20rem auto;
}

.contenedorTabla{
    max-width: 165rem;
    margin: 0 auto;
}
.img-login{
    max-width: 26%;
    margin-left: 2rem;
    display: flex;
}

/* Alertas */
.alerta{
    padding: .5rem;
    text-align: center;
    color: #fff;
    font-weight: bold;
    margin: 1rem 0;
}
.error{
    background-color: red;
}
.exito{
    background-color: #71B100;
}
/* Formulario */
.contenido-centrado{
    max-width: 80rem;
}
.formulario{ 
    background-color: #fff;/*4e4e4e*/
    width: min(60rem, 100%); /*utilizar el valor mas pequeño*/
    margin: 0 auto ;
    padding: 2rem;
    border-radius: 1rem;

}
.formulario fieldset{
    border-radius: 10px;

}

.formulario legend {
    text-align: center;
    font-size: 1.8rem;
    font-weight: 700;
    margin-bottom: 2rem;
    color: #000;
}
.formulario img{
    margin-bottom: 2rem;
}

.campo{
margin-bottom: 1rem;
}

.campo label {
color: #000;
font-weight: bold;
margin-bottom: .5rem;
display: block;
}

.campo textarea{
    height: 20rem;
}
.input-text {
    width: 100%;
    /*border: none;*/
    padding: 1.5rem;
    border-radius: .5rem;
}
.input-checkbox{
    margin-bottom: 1rem;
    color: #000;
    font-weight: 700; 
}
.seccion{
    margin-top: 2.5rem 0;
    margin-bottom: 2.5rem 0;

}

/* Asegurarse de que los botones estén centrados en dispositivos móviles */
.contenedor-botones {
    display: flex;
    align-items: center;
    flex-direction: column; /* Colocar los botones uno debajo del otro en móviles */
    margin-top: 1rem; /* Espaciado adicional si es necesario */
}

/* En pantallas más grandes, mantener la alineación normal */
@media screen and (min-width: 769px) {
    .contenedor-botones {
        flex-direction: row; /* Mostrar botones uno al lado del otro */
    }
}

.boton{
    background-color: rgb(109, 167, 23);
    color: #fff;
    padding: 1rem 3rem;
    margin-top: 3rem;
    font-size: 2rem;
    text-decoration: none;
    font-weight: bold;
    border-radius: .5rem;
    text-align: center;
    border: none;
    cursor: pointer;
}
.boton-verde{
    background-color:#71b100;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem  0;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-verde:hover{
    background-color:#619800;
    cursor:pointer
}

.boton-naranja-pdf{
    background-color: #d05e08;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem  0;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-naranja-pdf:hover{
    background-color: #9e5319;
    cursor:pointer
}

.boton-celeste-excel{
    background-color: #077aab;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem  0;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-celeste-excel:hover{
    background-color: #15688b;
    cursor:pointer
}

.boton-verde-firma{
    background-color:#71b100;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem  0;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    border-radius: 2rem;
}
.boton-verde-firma:hover{
    background-color:#619800;
    cursor:pointer
}

.boton-celeste-firma{
    background-color:#0490cc;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem ;
    margin-left: 1rem;
    display:inline-block;
    border:none;
}
.boton-celeste-firma:hover{
    background-color:#077aab;
    cursor:pointer
}

.boton-rojo-firma{
    background-color:red;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    border-radius: 2rem;
}
.boton-rojo-firma:hover{
    background-color:rgb(200, 21, 21);
    cursor:pointer
}

.boton-verde-buscador{
    background-color:#71b100;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-right: 1rem;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-verde-buscador:hover{
    background-color:#619800;
    cursor:pointer
}
.boton-verde-check{
    background-color:#9ada2d;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:0.5rem 0.5rem;
    text-align:center;
    margin-top:1rem  0;
    display:inline-block;
    border-radius: 2rem;
}
.boton-verde-check:hover{
    background-color:#6aa00e;
    cursor:pointer
}
.boton-verde-login{
    background-color:#71b100;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem ;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-verde-login:hover{
    background-color:#619800;
    cursor:pointer
}
.boton-amarillo-obtener{
    background-color:#d05e08;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem  ;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-amarillo-obtener:hover{
    background-color:#b6550b;
    cursor:pointer
}

.boton-celeste-obtener{
    background-color:#0490cc;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 3rem;
    text-align:center;
    margin-top:1rem  ;
    margin-left: 1rem;
    display:inline-block;
    border:none;
    margin-bottom: 2rem ;
    border-radius: 2rem;
}
.boton-celeste-obtener:hover{
    background-color:#077aab;
    cursor:pointer
}

.boton-celeste{
    background-color:#0490cc;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 1rem;
    text-align:center;
    margin-top:1rem 0;
    margin-left: 1rem;
    border:none;
    margin-bottom:1rem;
    width: 95%;
}
.boton-celeste:hover{
    background-color:#077aab;
    cursor:pointer
}

.boton-celeste-mapa{
    background-color:#0490cc;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:0.5rem 0.5rem;
    text-align:center;
    margin-top:1rem 0;
    border-radius: 2rem;
    width: 95%;
}
.boton-celeste-mapa:hover{
    background-color:#077aab;
    cursor:pointer
}
.boton-celeste-modificar{
    background-color:#0490cc;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:0.5rem 0.5rem;
    text-align:center;
    margin-top:1rem 0;
    margin-left: 0.5rem;
    border-radius: 2rem;
    width: 95%;
}
.boton-celeste-modificar:hover{
    background-color:#077aab;
    cursor:pointer
}


.boton-rojo{
    background-color:#a30606;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 1rem;
    text-align:center;
    margin-top:1rem 0;
    margin-left: 1rem;
    border:none;
    margin-bottom:1rem;
    width: 95%;
}
.boton-rojo:hover{
    background-color:#820d0d;
    cursor:pointer
}
.boton-rojo-eliminar{
    background-color: red;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:0.5rem 0.5rem;
    text-align:center;
    margin-top:1rem 0;
    border: none;
    border-radius: 2rem;
    width: 95%;
}
.boton-rojo-eliminar:hover{
    background-color:rgb(191, 29, 29);
    cursor:pointer
}
.boton-naranja{
    background-color:#f3c10a;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 1rem;
    text-align:center;
    margin-top:1rem 0;
    margin-left: 1rem;
    border:none;
    margin-bottom:1rem;
    width: 95%;
}
.boton-naranja:hover{
    background-color:#bb9d2f;
    cursor:pointer
}
.boton-naranja-informe{
    background-color:#f3c10a;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:0.5rem 0.5rem;
    text-align:center;
    margin-top:1rem 0;
    border-radius: 2rem;
    width: 95%;
}
.boton-naranja-informe:hover{
    background-color:#bb9d2f;
    cursor:pointer
}
.BtonAgregar{
    margin-top: 5rem; 
}

.boton-reportes{
    background-color:#d05e08;
    color:#fff;
    font-weight:700;
    text-decoration:none;
    padding:1rem 1rem;
    text-align:center;
    margin-top:1rem 0;
    margin-left: 1rem;
    border:none;
    margin-bottom:1rem;
    width: 95%;
}
.boton-reportes:hover{
    background-color:#b6550b;
    cursor:pointer
}
.acciones{
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-top: 0.5rem;
}

.acciones_2{
    display: grid;
    margin-top: 0.5rem;
}
/*Tablas*/
.formularioUsu{ 
    background-color: #fff;
    width: 100%; /*utilizar el valor mas pequeño*/
    padding: 2rem;
}
@media (min-width: 768px ){
    .formularioUsu{
        width: 60%;
        margin: 0 auto;
    }
}
.formularioUsu legend {
    text-align: center;
    font-size: 1.8rem;
    font-weight: 700;
    margin-bottom: 2rem;
    color: #000;
}
.formularioUsu fieldset{
    color: #000;
    margin-bottom: 3rem;
    border-radius: 10px;

}
/* Formulario Firma*/
.formulario_firma{ 
    background-color: #fff;
    width: 100%; /*utilizar el valor mas pequeño*/
    padding: 2rem;
}
@media (min-width: 768px ){
    .formulario_firma{
        width: 60%;
        margin: 0 auto;
    }
}
.formulario_firma legend {
    text-align: center;
    font-size: 1.8rem;
    font-weight: 700;
    margin-bottom: 2rem;
    color: #000;
}
.formulario_firma fieldset{
    color: #000;
    margin-bottom: 3rem;

}



/*Tabla */
.tabla {
    margin-top: 45px; /* Aumenta el margen superior para evitar que la tabla interfiera con el buscador */
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 2rem;
}

.tabla thead {
    background-color: #6aa00e; 
}

.tabla th {
    color: #fff;
    padding: 1.5rem;
    border: 1px solid #000;
}

.tabla tbody td {
    border: 1px solid #000;
    color: #000;
    background-color: #fff;
    text-align: center;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    padding-right: 1rem;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    /* Ocultar thead en pantallas pequeñas */
    .tabla thead {
        display: none;
    }

    /* Convertir filas en bloques en móviles */
    .tabla, .tabla tbody, .tabla th, .tabla td, .tabla tr {
        display: block;
    }
    .tabla tr {
        margin-bottom: 1rem;
        border-bottom: 2px solid #ddd;
    }

    .tabla td {
        text-align: right;
        padding-left: 50%;
        position: relative;
    }

    .tabla td::before {
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 45%;
        padding-left: 1rem;
        font-weight: bold;
        text-align: left;
    }


    /* Reducir el tamaño de los botones en móviles */
    .boton-rojo-eliminar, .boton-celeste-modificar, .boton-naranja-informe, .boton-celeste-mapa {
        width: 100px; /* Ajustar si deseas un ancho mínimo */
        font-size: 0.8rem;
        padding: 0.4rem 0.4rem;
        
    }

    .acciones, .acciones_2 {
        display: flex;
        flex-direction: column;
        align-items: center; /* Centrar los botones horizontalmente */
        gap: 1.5rem; /* Añade espacio entre los botones */
     }

     .boton-verde-check{
        width: 100px;
     }

}

/* Buscador */
.busqueda_div{
    display: flex;
    align-items: center;
    float: right;
    margin-bottom: 5px; /* Añade más espacio debajo del buscador */
}
.input_text {
    padding: 0.8rem;
    border-radius: .5rem;
}

@media screen and (max-width: 768px) {
    .busqueda_div {
        width: 100%; /* Ocupa todo el ancho disponible */
        justify-content: center; /* Centra el buscador en lugar de alinearlo a la derecha */
    }

}



/*Paginación*/
.paginacion ul{
    list-style: none;
    text-align: center;
}
.paginacion ul li{
    display: inline-block;
    margin-right: 10px;
}
.paginacion ul li a{
    display: inline-block;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    padding: 10px 15px;
    background:#71b100 ;
    color: #fff;
    text-decoration: none;
}
.paginacion ul li a:hover{
    text-decoration: none;
    background: #619800;
}
.pagina-actual{
    display: inline-block;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    padding: 10px 15px;
    background:#466d03 ;
    color: #fff;
    text-decoration: none;
}
/* Acciones  */
form .grupo__input{
    position: relative;
}
form .grupo__input svg{
    position: absolute;
    top: 4px ;
    left: 41px;
}
/*Barras de formulario*/
@media (min-width: 768px){
    .media{
        display: block;
    }
}
/*Firma */

.contenedor-campos-firma{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#signature-pad {
    width: 600px;
    height: 300px;
}

.cont-bton{
    text-align: left; /* Ajusta para alinear el botón a la derecha */
    width: 100%;
}

.formulario_firma, .fieldset_firma {
    max-width: 40%; /* Tamaño general en pantallas grandes */
    margin: auto;
    padding: 20px;
    border-radius: 10px;
}

/* Ajuste específico para dispositivos móviles */
@media (max-width: 768px) {

    .formulario_firma, .fieldset_firma {
        max-width: 90%; /* Ajuste el tamaño para dispositivos móviles */
    }
    
    #signature-pad {
        width: 100%; /* Para que el canvas se ajuste al ancho del fieldset */
        height: 200px; /* Tamaño del canvas en dispositivos móviles */
    }
}





